from kivymd.app import MDApp
from kivy.properties import ListProperty
from kivy.properties import StringProperty
from kivy.properties import ObjectProperty
from kivy.uix.screenmanager import Screen
from kivymd.uix.card import MDCard
from kivymd.uix.behaviors import TouchBehavior
from kivy.uix.recyclegridlayout import RecycleGridLayout
from kivy.lang import Builder
from random import sample, choice
from string import ascii_lowercase

from kivymd.uix.snackbar import Snackbar

sample_images = [
    "https://cdn.neemo.com.br/uploads/settings_webdelivery/logo/5591/No-Image.jpg",
    "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5f/SL_Bundala_NP_asv2020-01_img08.jpg/640px-SL_Bundala_NP_asv2020-01_img08.jpg",
    "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b6/Palaeobranchiostoma_hamatotergum.jpg/482px-Palaeobranchiostoma_hamatotergum.jpg",
    "https://upload.wikimedia.org/wikipedia/commons/thumb/a/ac/No_image_available.svg/1024px-No_image_available.svg.png",
    "https://firebasestorage.googleapis.com/v0/b/inventarioshop-8318f.appspot.com/o/im_bd%2F01001BA476.png?alt=media&token=32ac3498-6c0f-4bbb-bcdb-025d68e9d684",
]

## A T EN C A O o click para chamar a tela de imagem será aqui!
Builder.load_string("""
<ImageCard>
    id: ec
    
    size_hint: ('180dp', None)
    ripple_behavior: True
    source:''
    text:''

    orientation:'vertical'

    FitImage:
        pos_hint: {'center_x': .5, 'center_y': .25} 
        source: root.source
        size_hint: None, None
        width: dp(150) 
        height: dp(150) 
        #radius: [99, 99, 99, 99]

    MDBoxLayout:
        orientation:'horizontal'
        MDLabel:
            text:root.text
            halign:"center"
            #bold: True



<ScreenRecycleView>:
    name: 'screen_listagem' 

    FloatLayout:

        MDBoxLayout:
            
            pos_hint: {'center_x': 0.5, 'center_y': 0.3}
            RecycleView:
                id: rv
                data: root.image_data
                viewclass: "ImageCard"
                TouchRecycleGridLayout:
                    screen: root
                    cols: 2
                    default_size: dp(155), dp(200)
     
                    padding: dp(5) # Determina o espaçamento entre um widget e outro pelos lados               
                    spacing: dp(5) # Determina o espaçamento entre um widget e outro de cima para baixo
                    #radius:dp(25)
                    # Tamanho do retangulo com a imagem e os textos
                    #default_size: dp(155), dp(75) # Determina o tamanho do widget (Largura, Altura)
                    default_size_hint: 1, None ##### Define a largura do widget sempre próximo as bordas
                    size_hint_y: None ##### Associado a default_size_hint
                    height: self.minimum_height
                    #ripple_behavior: True""")    


class TouchRecycleGridLayout(TouchBehavior, RecycleGridLayout):
    screen = ObjectProperty()

    def on_double_tap(self, touch, *args):
        i = self.get_view_index_at(touch.pos)
        w = self.parent.view_adapter.views[i]
        app = MDApp.get_running_app()
        app.selected_image = w.source
        
        self.screen.manager.transition.direction = 'left'
        self.screen.manager.current = 'tela_item'

class ImageCard(MDCard):
    dialog = None
    text = StringProperty()
    source = StringProperty()


class ScreenRecycleView(Screen):
    image_data = ListProperty()

    def on_kv_post(self, base_widget):
        self.ids.rv.data = [
            {
                'source': choice(sample_images),
                'text': ''.join(sample(ascii_lowercase, 6))

            }
            for x in range(50)
        ]

    def on_enter(self):
        sb = Snackbar(text='Após a pesquisa clique 2x na imagem.')
        sb.open()       