from kivymd.uix.dialog import MDDialog
from kivymd.uix.button import MDFlatButton
from kivy.uix.screenmanager import Screen
from kivy.lang import Builder


Builder.load_string("""
<ContentNavigationDrawer>:
    orientation: 'vertical'
    FloatLayout:
        size_hint_y: None
        height: "200dp"
        BoxLayout:
            id: box_image
            x: root.x
            pos_hint: {"top": 1}
            FloatLayout:
                # Imagem de fundo
                FitImage:
                    pos_hint: {'center_x': .5, 'center_y': .5}                    
                    source: "./images/menu.png"

                # Imagem do usuário    
                FitImage:
                    pos_hint: {'center_x': .5, 'center_y': .5} 
                    source: "./images/user.png"
                    size_hint: None, None
                    width: dp(150) 
                    height: dp(150) 
                    radius: [99, 99, 99, 99]                 
        MDLabel:
            text: "Coletor de dados Postgres"
            size_hint_y: None
            height: self.texture_size[1]
            # Define a posição do Label
            x: root.x + 10
            y: root.height - box_image.height + dp(10)
            
    ScrollView:

        MDList:
            OneLineIconListItem:
                text: "Listagem"
                on_press:
                    root.nav_drawer.set_state("close")
                    root.screen_manager.current = 'screen_listagem'

                IconLeftWidget:
                    icon: "view-list"                    
                    ## Tamanho do ícone user_font_size: "72sp"

            OneLineListItem:
                text: "A Screen 1"
                on_press:
                    root.nav_drawer.set_state("close")
                    #root.screen_manager.current = "scr 1"

            OneLineListItem:
                text: "Annother Screen 2"
                on_press:
                    root.nav_drawer.set_state("close")
                    #root.screen_manager.current = "scr 2"

<MainScreen>:
    name: 'main_screen'
    
    MDToolbar:
        id: toolbar
        pos_hint: {"top": 1}
        elevation: 10
        title: "MDNavigationDrawer"
        left_action_items: [["menu", lambda x: nav_drawer.set_state("open")]]

    MDNavigationLayout:
        x: toolbar.height

        ScreenManager:
            id: screen_manager

            ScreenRecycleView:
            TelaLogin:
            TelaItem:

        MDNavigationDrawer:
            id: nav_drawer

            ContentNavigationDrawer:
                screen_manager: screen_manager
                nav_drawer: nav_drawer
""")

class MainScreen(Screen):
    pass
