from kivymd.uix.dialog import MDDialog
from kivymd.uix.button import MDFlatButton
from kivy.properties import ListProperty
from kivy.properties import StringProperty
from kivy.uix.screenmanager import Screen
from kivymd.uix.card import MDCard
from kivy.uix.boxlayout import BoxLayout
from kivymd.uix.behaviors import TouchBehavior
from kivy.lang import Builder

## A T EN C A O o click para chamar a tela de imagem será aqui!
Builder.load_string("""
<FortnightlyLabel@MDLabel>
    adaptive_height: True

<HeadlineNews@MDBoxLayout>
    orientation: 'vertical'
    spacing: dp(50)
    # adaptive_height: True
    # pos_hint: {"top": .9}

    FitImage:
        source: app.selected_image
        size_hint: (1, None)
        height: dp(400)
        pos_hint: {'center_x': .5}

    MDBoxLayout:
        spacing: dp(20)
        size_hint_y: None
        height: '24dp'
        FortnightlyLabel:
            text: "COBERTURA LEITE CONDENSADO 1.3KG DU PORTO"
            font_style: "Button"
            
    MDBoxLayout:
        spacing: dp(20)
        padding: dp(20)
        size_hint_y: None
        height: '24dp'
        MDIconButton:
            icon: "minus"
            md_bg_color: '#FF0000'

            elevation_normal: 12
            on_release: root.subtrair()
            #user_font_size: "64sp"
            elevation_normal: 12   

        MDTextField:
            id: quantidade_digitada
            hint_text: 'Quantidade'
            input_type: 'number'
            input_filter: 'float'

            size_hint: .4, None
            #height: "24dp"

        MDIconButton:
            icon: "plus"
            md_bg_color: app.theme_cls.primary_dark 

            elevation_normal: 12
            on_release: root.somar()
            #user_font_size: "64sp"
            elevation_normal: 12    
    Widget: # a spacer
        md_bg_color: app.theme_cls.primary_dark                 

<TelaItem>:
    name: 'tela_item'

    FloatLayout:
        orientation: "vertical"
        id: body_tela_item
        HeadlineNews:
            id: image_alone
            #pos_hint: {'center_x': .5, 'center_y': .50}

        MDIconButton:
            pos_hint: {'center_x': .1, 'center_y': .85}
            md_bg_color: app.theme_cls.primary_dark
            icon: "arrow-left-bold"
            elevation_normal: 12  
            on_release:
                root.manager.transition.direction = 'right' 
                root.manager.current = 'screen_listagem'              
""")             


class TelaItem(Screen):
    #def on_kv_post(self, obj):
    #    self.ids.quantidade_digitada.focus = True
    #    self.ids.quantidade_digitada.text = '0'

    def somar(self):
        self.ids.quantidade_digitada.text = str(
            float(self.ids.quantidade_digitada.text) + 1)

    def subtrair(self):
        if (float(self.ids.quantidade_digitada.text) - 1) >= 0:
            self.ids.quantidade_digitada.text = str(
                float(self.ids.quantidade_digitada.text) - 1)